'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Form = require('cluedin-ui/Form/Form');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var inputStyle = {
  width: '100%',
  padding: '5px 8px',
  margin: '10px 0',
  boxSizing: 'border-box',
  fontSize: '14px',
  border: '1px solid #ccc'
};

var EmailComponent = function (_Component) {
  (0, _inherits3.default)(EmailComponent, _Component);

  function EmailComponent() {
    (0, _classCallCheck3.default)(this, EmailComponent);
    return (0, _possibleConstructorReturn3.default)(this, (EmailComponent.__proto__ || (0, _getPrototypeOf2.default)(EmailComponent)).apply(this, arguments));
  }

  (0, _createClass3.default)(EmailComponent, [{
    key: 'inputFieldChanged',
    value: function inputFieldChanged(event) {
      var _props = this.props,
          onChange = _props.onChange,
          name = _props.name;


      onChange(name, event.target.value);
    }
  }, {
    key: 'render',
    value: function render() {
      var value = this.props.value;


      return _react2.default.createElement('input', { type: 'email',
        defaultValue: value,
        style: inputStyle,
        onBlur: this.inputFieldChanged.bind(this),
        onChange: this.inputFieldChanged.bind(this) });
    }
  }]);
  return EmailComponent;
}(_react.Component);

process.env.NODE_ENV !== "production" ? EmailComponent.propTypes = {
  name: _propTypes2.default.string,
  onChange: _propTypes2.default.func,
  value: _propTypes2.default.string
} : void 0;


(0, _Form.registerFormField)('Email', EmailComponent);

exports.default = EmailComponent;