'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _List = require('cluedin-ui/List/List');

var _List2 = _interopRequireDefault(_List);

var _InvitationRow = require('./InvitationRow');

var _InvitationRow2 = _interopRequireDefault(_InvitationRow);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var InvitationList = function (_Component) {
  (0, _inherits3.default)(InvitationList, _Component);

  function InvitationList() {
    (0, _classCallCheck3.default)(this, InvitationList);
    return (0, _possibleConstructorReturn3.default)(this, (InvitationList.__proto__ || (0, _getPrototypeOf2.default)(InvitationList)).apply(this, arguments));
  }

  (0, _createClass3.default)(InvitationList, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          invitations = _props.invitations,
          onResend = _props.onResend,
          onRemove = _props.onRemove,
          sendInvitations = _props.sendInvitations,
          removeInvitations = _props.removeInvitations;
      // const hasBeenRemoved = function isSuccessfulyRemoved(invit) {
      //   return removeInvitations.hasOwnProperty(invit.email) &&
      //     !removeInvitations[invit.email].isFetching;
      // };

      var invitationListContent = invitations.filter(function (invit) {
        return !invit.removed;
      }).map(function (invitation, index) {
        var email = invitation.email;


        var erroredRevoke = removeInvitations.hasOwnProperty(email) && removeInvitations[email].hasError;
        var erroredResent = sendInvitations.hasOwnProperty(email) && sendInvitations[email].hasError;

        var isLoadingInvitation = sendInvitations.hasOwnProperty(invitation.email) && sendInvitations[invitation.email].isFetching;
        var isLoadingRemoveInvitations = removeInvitations.hasOwnProperty(invitation.email) && removeInvitations[invitation.email].isFetching;
        var isLoading = isLoadingInvitation || isLoadingRemoveInvitations;
        var error = erroredResent || erroredRevoke;

        return _react2.default.createElement(_InvitationRow2.default, {
          key: index,
          invitation: invitation,
          onResend: onResend,
          onRemove: onRemove,
          isLoading: isLoading,
          hasError: error
        });
      });

      return _react2.default.createElement(
        _List2.default,
        null,
        invitationListContent
      );
    }
  }]);
  return InvitationList;
}(_react.Component);

exports.default = InvitationList;
process.env.NODE_ENV !== "production" ? InvitationList.propTypes = {
  onRemove: _propTypes2.default.func,
  onResend: _propTypes2.default.func,
  invitations: _propTypes2.default.array,
  sendInvitations: _propTypes2.default.object,
  removeInvitations: _propTypes2.default.object
} : void 0;