'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _RefreshIndicator = require('material-ui/RefreshIndicator');

var _RefreshIndicator2 = _interopRequireDefault(_RefreshIndicator);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LoadingCentered = function LoadingCentered() {
  return _react2.default.createElement(
    'div',
    { style: { position: 'relative', background: '#eee', opacity: 0.8, height: '100%', minHeight: '100%' } },
    _react2.default.createElement(_RefreshIndicator2.default, {
      size: 40,
      left: -20,
      top: 30,
      status: 'loading',
      style: { marginLeft: '50%' }
    })
  );
};

exports.default = LoadingCentered;