'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Toast = require('cluedin-ui/Toast');

var _Toast2 = _interopRequireDefault(_Toast);

var _accountCircle = require('material-ui/svg-icons/action/account-circle');

var _accountCircle2 = _interopRequireDefault(_accountCircle);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var NewUserInvitedNotification = function (_Component) {
  (0, _inherits3.default)(NewUserInvitedNotification, _Component);

  function NewUserInvitedNotification() {
    (0, _classCallCheck3.default)(this, NewUserInvitedNotification);
    return (0, _possibleConstructorReturn3.default)(this, (NewUserInvitedNotification.__proto__ || (0, _getPrototypeOf2.default)(NewUserInvitedNotification)).apply(this, arguments));
  }

  (0, _createClass3.default)(NewUserInvitedNotification, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          index = _props.index,
          invitation = _props.invitation,
          onCloseClick = _props.onCloseClick;


      var title = invitation.email + ' was invited';
      var message = _react2.default.createElement(
        'div',
        null,
        'by\xA0',
        invitation.userName
      );

      return _react2.default.createElement(_Toast2.default, { index: index,
        onCloseClick: onCloseClick,
        title: title,
        message: message,
        Icon: _accountCircle2.default
      });
    }
  }]);
  return NewUserInvitedNotification;
}(_react.Component);

process.env.NODE_ENV !== "production" ? NewUserInvitedNotification.propTypes = {
  index: _propTypes2.default.any,
  userPromoted: _propTypes2.default.object,
  onCloseClick: _propTypes2.default.func
} : void 0;
exports.default = NewUserInvitedNotification;