'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RemoteDataStates = undefined;

var _freeze = require('babel-runtime/core-js/object/freeze');

var _freeze2 = _interopRequireDefault(_freeze);

var _react = require('react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var RemoteDataStates = exports.RemoteDataStates = (0, _freeze2.default)({
  'NotStarted': 'NotStarted',
  'Loading': 'Loading',
  'Failure': 'Failure',
  'Success': 'Success'
});

var HttpError = _react.PropTypes.shape({
  status: _react.PropTypes.number,
  message: _react.PropTypes.string
});