'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getRoutes = exports.getLink = exports.links = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouter = require('react-router');

var _UserSection = require('../page/UserSection');

var _UserSection2 = _interopRequireDefault(_UserSection);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var links = exports.links = {
  index: 'users'
};

var getLink = exports.getLink = function getLink(name, id) {
  var result = '/admin/' + links.index;
  if (name === 'index') {
    return result;
  }

  return result + '/' + links[name].replace(':id', id);
};

var getRoutes = exports.getRoutes = function getRoutes(WrapperComponent) {
  return _react2.default.createElement(
    _reactRouter.Route,
    { path: 'users', component: WrapperComponent },
    _react2.default.createElement(_reactRouter.IndexRoute, { component: _UserSection2.default })
  );
};

exports.default = {
  getRoutes: getRoutes
};