'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _List = require('cluedin-ui/List/List');

var _List2 = _interopRequireDefault(_List);

var _DomainUser = require('./DomainUser');

var _DomainUser2 = _interopRequireDefault(_DomainUser);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DomainUsers = function (_Component) {
  (0, _inherits3.default)(DomainUsers, _Component);

  function DomainUsers() {
    (0, _classCallCheck3.default)(this, DomainUsers);
    return (0, _possibleConstructorReturn3.default)(this, (DomainUsers.__proto__ || (0, _getPrototypeOf2.default)(DomainUsers)).apply(this, arguments));
  }

  (0, _createClass3.default)(DomainUsers, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          potentialUsers = _props.potentialUsers,
          inviteClick = _props.inviteClick;


      var domainUsersContent = potentialUsers.map(function (user, index) {
        if (user.EntityType === '/Person' || user.EntityType === '/User') {
          return _react2.default.createElement(_DomainUser2.default, { inviteClick: inviteClick, key: index, domainUser: user });
        }
      });

      return _react2.default.createElement(
        _List2.default,
        null,
        domainUsersContent
      );
    }
  }]);
  return DomainUsers;
}(_react.Component);

exports.default = DomainUsers;
process.env.NODE_ENV !== "production" ? DomainUsers.propTypes = {
  inviteClick: _propTypes2.default.func,
  potentialUsers: _propTypes2.default.array
} : void 0;