'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _IconMenu = require('material-ui/IconMenu');

var _IconMenu2 = _interopRequireDefault(_IconMenu);

var _MenuItem = require('material-ui/MenuItem');

var _MenuItem2 = _interopRequireDefault(_MenuItem);

var _IconButton = require('material-ui/IconButton');

var _IconButton2 = _interopRequireDefault(_IconButton);

var _moreVert = require('material-ui/svg-icons/navigation/more-vert');

var _moreVert2 = _interopRequireDefault(_moreVert);

var _reactIntl = require('react-intl');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var InvitationMenu = function InvitationMenu(_ref) {
  var onRemove = _ref.onRemove,
      onResend = _ref.onResend;

  var resendAction = _react2.default.createElement(_MenuItem2.default, { onClick: onResend, primaryText: _react2.default.createElement(_reactIntl.FormattedMessage, { id: 'InvitationMenu.ResendInvitation' }) });
  var removeAction = _react2.default.createElement(_MenuItem2.default, { onClick: onRemove, primaryText: _react2.default.createElement(_reactIntl.FormattedMessage, { id: 'InvitationMenu.RemoveInvitation' }) });

  return _react2.default.createElement(
    _IconMenu2.default,
    {
      iconButtonElement: _react2.default.createElement(
        _IconButton2.default,
        null,
        _react2.default.createElement(_moreVert2.default, null)
      ),
      anchorOrigin: { horizontal: 'right', vertical: 'top' },
      targetOrigin: { horizontal: 'right', vertical: 'top' }
    },
    resendAction,
    removeAction
  );
};

process.env.NODE_ENV !== "production" ? InvitationMenu.propTypes = {
  onRemove: _propTypes2.default.func,
  onResend: _propTypes2.default.func
} : void 0;

exports.default = InvitationMenu;